IF OBJECT_ID('dbo.vw_fco_procesos_pi') IS NOT NULL
    DROP VIEW dbo.vw_fco_procesos_pi
GO
CREATE VIEW dbo.vw_fco_procesos_pi  
AS  
SELECT a.compania, a.anio, a.mes, a.sucursal,   
CASE WHEN a.sucursal = '' THEN '(Consolidado)' ELSE ISNULL(rtrim(a.sucursal) + '-' + rtrim(suc.descripcion), '(Consolidado)') END suc_des,   
CONVERT(tinyint,procesar) procesar, sit_periodo =   
ISNULL((SELECT MAX(sit_periodo) FROM fco_integrada_cab x  
        WHERE x.compania = a.compania AND x.anio = a.anio AND x.mes = a.mes), 1),
a.tipo_planilla
FROM fco_procesos_pi a  
LEFT JOIN vw_fco_sucursales suc ON suc.compania = a.compania AND suc.sucursal = a.sucursal  
AND  
(   (a.sucursal = '')   
 OR (a.sucursal IN   
     (SELECT sucursal FROM vw_fco_sucursales_cia   
      WHERE (   (clase_nomina = '--')  
             OR (clase_nomina IN (SELECT clase_nomina FROM rel_usu_clase_nom  
                                  WHERE usuario = SYSTEM_USER))  
            )   
      )  
     )  
)  
GO
GRANT SELECT ON dbo.vw_fco_procesos_pi TO PUBLIC
GO
